% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GetLogicalDrive.R
\name{getLogicalDrives}
\alias{getLogicalDrives}
\title{Retrieve Logical Drives Based on Operating System}
\usage{
getLogicalDrives()
}
\value{
A named character vector with drive labels as names and paths as values. Returns an empty
named character vector if no drives are found or if parsing fails.
}
\description{
This function detects the user's operating system and retrieves a list of logical drives or volumes.
It supports macOS (Darwin), Linux, and Windows. The function returns a named character vector where
the names are human-readable labels (e.g., volume names or drive letters), and the values are the
corresponding paths.
}
\details{
- On macOS (Darwin), volumes are retrieved from the "/Volumes" directory.
- On Linux, the root directory ("/") is included, along with any mounted media from "/media" if available.
- On Windows, drives are retrieved using WMIC if available; otherwise, PowerShell is used as a fallback.
}
\examples{
{
   getLogicalDrives()
}

}
